Identify
Endpoints
Identify endpoint reference.
GET
type*stringValue in
"song""album""artist"name*stringResource name.
Length
1 <= length <= 256album?stringAlbum name. Used to identify songs.
Length
length <= 256artist?stringArtist name. Used to identify songs and albums.
Length
length <= 256duration?integerSong duration in milliseconds. Used to identify songs. Values of 0 or less are ignored. A non-integer value is rejected with 400.
Format
int32Range
1 <= valueIdentified resource
application/json- response
data*||curl -X GET 'https://api.vleer.app/metadata/v1/identify/song?name=string'{ "data": { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "song", "attributes": { "name": "string", "albumName": "string", "artistNames": [ "string" ], "isrc": "string", "artworkUrl": "string", "trackNumber": 1, "discNumber": 1, "genres": [ "string" ], "releaseDate": "string", "durationMs": 1 }, "relationships": { "albums": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "album", "attributes": { "name": "string", "trackCount": 0, "artistNames": [ "string" ], "artworkUrl": "string", "upc": "string", "label": "string", "genres": [ "string" ], "releaseDate": "string" }, "relationships": { "artists": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "artist", "attributes": { "name": "string", "artworkUrl": "string", "genres": [ "string" ] } } ] } } } ] }, "artists": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "artist", "attributes": { "name": "string", "artworkUrl": "string", "genres": [ "string" ] } } ] } } }}